# Interface methods for submodule: GaussianSmoothingOnUpdateTimeVaryingVelocityFieldTransform
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import TimeVaryingVelocityFieldTransformProxy as _TimeVaryingVelocityFieldTransformProxy


# Interface methods for class: GaussianSmoothingOnUpdateTimeVaryingVelocityFieldTransform
class GaussianSmoothingOnUpdateTimeVaryingVelocityFieldTransformProxy(_TimeVaryingVelocityFieldTransformProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetGaussianSpatialSmoothingVarianceForTheUpdateField(self, _arg: float) -> None:
		""""""
		...

	def GetGaussianSpatialSmoothingVarianceForTheUpdateField(self) -> float:
		""""""
		...

	def SetGaussianTemporalSmoothingVarianceForTheUpdateField(self, _arg: float) -> None:
		""""""
		...

	def GetGaussianTemporalSmoothingVarianceForTheUpdateField(self) -> float:
		""""""
		...

	def SetGaussianSpatialSmoothingVarianceForTheTotalField(self, _arg: float) -> None:
		""""""
		...

	def GetGaussianSpatialSmoothingVarianceForTheTotalField(self) -> float:
		""""""
		...

	def SetGaussianTemporalSmoothingVarianceForTheTotalField(self, _arg: float) -> None:
		""""""
		...

	def GetGaussianTemporalSmoothingVarianceForTheTotalField(self) -> float:
		""""""
		...

	def UpdateTransformParameters(self, update: Sequence[float], factor: float = 1) -> None:
		""""""
		...

	def GaussianSmoothTimeVaryingVelocityField(self, arg0, arg1: float, arg2: float):
		""""""
		...

